:root {
    --body-background: #f2f6f8;
    --body-font-size: 16px;
    --primary-font: 'Fira Sans', sans-serif;
    /*--primary-color: #333;*/
    --primary-color: #243238;

    --heading-background: #f6f6f6;
    --heading-color: #33353F;
    --heading-border-color: #DADADA;


    /*--panel-default-heading-color: #ab9999;*/
    /*--panel-default-heading-background: #e4eaee;*/
    /*--page-background: #ecedf0;*/

    --form-control-border: 1px solid #c6d2d9;
    --form-control-active-border-color: #90a4ae;
    --form-control-border-radius: 2px;

    --default-border: 1px solid #c6d2d9;
    --default-border-color: #c6d2d9;
    --default-border-radius: 3px;

    --box-shadow: 0 1px 1px rgba(0, 0, 0, .05);

    --dark-background: #f2f6f8;

    --border-light: 1px solid #e4eaee;

    --dropdown-background: #fff;
    --dropdowm-border: 1px solid rgb(0 0 0 / 15%);
    --dropdown-box-shadow: 0 5px 10px rgb(0 0 0 / 10%);
    --dropdown-item-color: inherit;
    --dropdown-item-hover-background: #e4eaee;
    --dropdown-button-background: #ecf4f9;
    --dropdown-separator: 1px solid #e4eaee;

    --bs-body-bg: transparent;

    --link-color: #188ae2;
    --link-hover-color: #1473bd;

    --label-color: #777;

    --disabled-color: rgba(0, 0, 0, 0.3);
}

body {
    font-family: Montserrat, sans-serif, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    color: var(--primary-color);
    font-size: 16px;
    line-height: 1.5;
}

a {
    text-decoration: none;
}

/* PANELS */

/*.panel-simple {*/
/*    background: #fff;*/
/*    border: var(--default-border);*/
/*    border-radius: var(--default-border-radius);*/
/*}*/

/*.panel {*/
/*    border: none;*/
/*    border-radius: var(--default-border-radius);*/
/*    box-shadow: var(--box-shadow);*/
/*    overflow: hidden;*/
/*}*/

/*.panel .panel-body {*/
/*    background: #fff;*/
/*    padding: 1rem;*/
/*}*/

/*.panel-default .panel-heading {*/
/*    position: relative;*/
/*    color: var(--heading-color);*/
/*    background: var(--heading-background);*/
/*    border-bottom: 1px solid var(--heading-border-color);*/
/*    padding: 0.8rem 1rem;*/
/*}*/

/*.panel-heading {*/
/*    border-bottom: 1px solid transparent;*/
/*}*/

/*.panel-heading:first-child {*/
/*    border-radius: 3px 3px 0 0 !important;*/
/*}*/

/*.panel-heading .title {*/
/*    font-size: medium;*/
/*}*/

/*.panel-default .panel-footer {*/
/*    background: #f6f6f6;*/
/*    border-color: #DADADA;*/
/*}*/

/*.panel-footer {*/
/*    border-top: 1px solid transparent;*/
/*    border-radius: 0 0 6px 6px !important;*/
/*    padding: 20px;*/
/*}*/

.panel-gray {
    background: #f7f7f7;
}

/* FORMS */

label, .label {
    color: var(--label-color);
    font-weight: normal;
    font-size: 13px;
}

.form-check-label {
    font-size: var(--body-font-size);
    color: var(--primary-color);
}

.form-group {
    margin-bottom: 0.8rem;
}

.input-group-text {
    border-radius: var(--form-control-border-radius);
}

.form-control {
    min-height: 35px;
}

.form-control, .form-select {
    font-size: unset;
    /*background: #fff;*/
    border: var(--form-control-border);
    border-radius: var(--form-control-border-radius);
}

.form-control:hover,
.form-control:focus,
.form-select:hover,
.form-select:focus {
    border-color: var(--form-control-active-border-color);
    box-shadow: none;
}

.form-control::placeholder {
    color: rgba(0, 0, 0, 0.5);
}

.form-item {
    position: relative;
}

.form-item-info {
    position: absolute;
    left: 0.75rem;
    bottom: -5px;
    max-width: calc(100% - 2 * 0.75rem);
    font-size: 0.6rem;
    line-height: 1;
    color: #999;
    background: #fff;
    border-radius: 2px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    padding: 1px 2px;
}

.form-item-info.top {
    top: -5px;
    bottom: unset;
}

/* BUTTONS */

button {
    background: transparent;
    border: unset;
    padding: unset;
}

.btn {
    border-radius: var(--form-control-border-radius);
}

.btn-default {
    border: 1px solid var(--default-border-color);
}

.btn-default:hover {
    border: 1px solid var(--default-border-color);
}

.btn-primary {
    color: #fff;
    background: #01b3a7;
    border-color: #01b3a7;
}
.btn-primary:hover {
    color: #151515;
    background: transparent;
    border-color: #151515;
}

.btn-secondary {
    color: #151515;
    background: transparent;
    border-color: #151515;
}
.btn-secondary:hover {
    color: #fff;
    background: #01b3a7;
    border-color: #01b3a7;
}

.btn-white {
    background: #fff;
    border: 1px solid var(--default-border-color);
}

.btn-white:hover {
    background: #ededed;
    border: 1px solid var(--default-border-color);
}

.btn-sm {
    font-size: 0.8rem;
}

.btn-heading {
    display: flex;
    align-items: center;
    gap: 5px;
    height: 30px;
    padding: 0 10px;
}

.btn-icon {
    display: block;
    width: 16px;
    height: 16px;
}

/*.btn-normal {*/
/*    font-size: 1rem;*/
/*}*/


/* SECTIONS */
.section-title {
    position: relative;
}

.section-title:after {
    display: inline-block;
    content: '';
    bottom: 0;
    height: 4px;
    width: 70px;
    background: #01b3a7;
}

/* DROP DOWN */

/*.dropdown-container {*/
/*    position: relative;*/
/*    width: 100%;*/
/*}*/

/*.dropdown-container .dropdown,*/
/*.dropdown-container ul.dropdown {*/
/*    position: absolute;*/
/*    top: 100%;*/
/*    min-width: max-content;*/
/*    width: 100%;*/
/*    background: #fff;*/
/*    border: var(--dropdowm-border);*/
/*    border-radius: var(--default-border-radius);*/
/*    box-shadow: var(--dropdown-box-shadow);*/
/*    z-index: 5000;*/
/*}*/

/*.dropdown-container ul.dropdown {*/
/*    list-style: none;*/
/*    padding: 0;*/
/*    margin: 0;*/
/*}*/

/*.dropdown-container .dropdown.right {*/
/*    right: 0;*/
/*}*/

/*.dropdown-container .dropdown .separator {*/
/*    height: 1px;*/
/*    border-top: var(--dropdowm-border);*/
/*}*/

/*.dropdown-container .dropdown .dropdown-wrapper {*/
/*    max-height: 380px;*/
/*    overflow-y: auto;*/
/*}*/

/*.dropdown-container .dropdown .dropdown-item.item-hover:hover,*/
/*.dropdown-container .dropdown .dropdown-item.item-active {*/
/*    background: var(--dropdown-item-hover-background);*/
/*}*/


.dropdown-menu {
    border: none;
    border-radius: 0;
    box-shadow: 0 10px 17px -8px rgba(0, 0, 0, 0.41);
    -webkit-box-shadow: 0 10px 17px -8px rgba(0, 0, 0, 0.41);
    -moz-box-shadow: 0 10px 17px -8px rgba(0, 0, 0, 0.41);
}

.dropdown-divider {
    border-top: var(--border-light);
}

/*.dropdown-item.pointer .form-check-input, .dropdown-item.pointer label {*/
/*    cursor: pointer;*/
/*}*/


/* HELPERS */

/*.py-6 {*/
/*    padding-top: 6rem;*/
/*    padding-bottom: 6rem;*/
/*}*/

/*.py-7 {*/
/*    padding-top: 7rem;*/
/*    padding-bottom: 7rem;*/
/*}*/

/*.drag-over {*/
/*    background-color: var(--dropdown-item-hover-background) !important;*/
/*}*/

/*.absolute-y {*/
/*    position: absolute;*/
/*    top: 50%;*/
/*    transform: translateY(-50%);*/
/*}*/

/*.right-1 {*/
/*    right: .25rem !important;*/
/*}*/

/*.is-link {*/
/*    text-align: left;*/
/*}*/

/*.is-link:hover {*/
/*    text-decoration: underline;*/
/*}*/

.not-active {
    position: relative;
}

/*.link-button {*/
/*    color: var(--link-color);*/
/*    text-align: left;*/
/*}*/

/*.link-button:hover {*/
/*    color: var(--link-hover-color);*/
/*}*/

.times {
    /*color: #8f8f8f;*/
    color: #50ba87;
    font-weight: 500;
}

.text-justify {
    text-align: justify;
}

.text-primary {
    color: var(--primary-color) !important;
}

.text-gray {
    color: #666 !important;
}

.text-disabled {
    color: var(--disabled-color);
}

.text-truncate {
    white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.text-md {
    font-size: 13px;
}

.text-sm {
    font-size: 12px;
}

.smaller {
    font-size: 12px;
}

.w-max {
    width: max-content;
}

.w-18px {
    width: 18px;
}

.bg-gray {
    background-color: #f7f7f7;
}


.py-lg {
    padding-top: 3rem;
    padding-bottom: 3rem;
}

.p-lg {
    padding: 3rem;
}

/* Animations */

/*@keyframes shake {*/
/*    10%, 90% {*/
/*        transform: translate3d(-1px, 0, 0);*/
/*    }*/
/*    20%, 80% {*/
/*        transform: translate3d(2px, 0, 0);*/
/*    }*/
/*    30%, 50%, 70% {*/
/*        transform: translate3d(-4px, 0, 0);*/
/*    }*/
/*    40%, 60% {*/
/*        transform: translate3d(4px, 0, 0);*/
/*    }*/
/*}*/

/* GENERAL MEDIA QUERIES */

@media (max-width: 576px) {
    .hidden-xs {
        display: none !important;
    }

    .py-lg {
        padding-top: 2rem;
        padding-bottom: 2rem;
    }

    .p-lg {
        padding: 2rem;
    }

    .panel.p-lg {
        padding: 1.5rem;
    }
}

@media (min-width: 577px) and (max-width: 767px) {
    .hidden-sm {
        display: none !important;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .hidden-md {
        display: none !important;
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    .hidden-lg {
        display: none !important;
    }
}

@media (min-width: 1200px) {
    .hidden-xl {
        display: none !important;
    }
}
